BulkInsertionCapableIdentifierGenerator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Interface BulkInsertionCapableIdentifierGenerator

All Superinterfaces:
  IdentifierGenerator

All Known Implementing Classes:
  AbstractPostInsertGenerator, IdentityGenerator, SelectGenerator, SequenceGenerator, SequenceHiLoGenerator, SequenceIdentityGenerator, SequenceStyleGenerator

    public interface BulkInsertionCapableIdentifierGenerator

extends IdentifierGenerator

Specialized contract for `IdentifierGenerator` implementations capable of being used in conjunction with HQL insert statements.

Field Summary

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Method Summary
`String` | `determineBulkInsertionIdentifierGenerationSelectFragment(Dialect dialect)` Return the select expression fragment, if any, that generates the identifier values.
`boolean` | `supportsBulkInsertionIdentifierGeneration()` Given the configuration of this generator, is identifier generation as part of bulk insertion supported? IMPL NOTE : Mainly here to allow stuff like SequenceStyleGenerator which *can* support this based on configuration

Methods inherited from interface org.hibernate.id.IdentifierGenerator
`generate`

Method Detail

### supportsBulkInsertionIdentifierGeneration

    boolean supportsBulkInsertionIdentifierGeneration()

  Given the configuration of this generator, is identifier generation as part of bulk insertion supported?

  IMPL NOTE : Mainly here to allow stuff like SequenceStyleGenerator which *can* support this based on configuration

  Returns:
    `true` if bulk insertions are supported; `false` otherwise.

### determineBulkInsertionIdentifierGenerationSelectFragment

    String determineBulkInsertionIdentifierGenerationSelectFragment(Dialect dialect)

  Return the select expression fragment, if any, that generates the identifier values.

  Parameters:
    `dialect` - The dialect against which the insert will be performed.
  Returns:
    The identifier value generation fragment (SQL). `null` indicates that no fragment is needed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.